=== debian/changelog ===
bustle (0.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #587132)
    - Add libghc6-glade-dev to Build-Depends.
  * Move to dpkg v3 source format.
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Wed, 30 Jun 2010 14:31:43 +0100

bustle (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Remove extra LICENSE file installed to /usr/share/bustle-$VER.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Dec 2009 21:02:14 +0000

bustle (0.2.0-2) unstable; urgency=low

  * Update Build-Depends to use Parsec 3. (Closes: #534091)
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Jun 2009 12:28:54 +0100

bustle (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Add Suggests: on graphviz and add update long description to reflect
    new 'dot' output.
  * debian/patches:
    - Drop 01-bustle-gdk-events.diff - merged upstream.
    - Drop 02-bustle-ambiguous-exception.diff - different fix made upstream.
  * Remove quilt patch machinery as we have no local patches.
  * Bump Standards-Version to 3.8.1.
  * Add manpages for bustle-{count,dot,time}.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Apr 2009 00:08:14 +0100

bustle (0.1-2) unstable; urgency=low

  * Don't call runhaskell; GHCI isn't available on all archs (Closes: #517706)
  * Add patches for GHC 6.10 compatibility. (Closes: #518746)
    - Bump Build-Depends to ghc6 (>= 6.10)
  * Move to more "minimal" debian/rules file.
    - Bump Build-Depends on debhelper to 7.0.50 for this feature.
  * Update Git repository locations.

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Mar 2009 04:03:30 +0000

bustle (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #511111)

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Jan 2009 00:03:25 +0000
