=== debian/control ===
Source: bustle
Section: devel
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50), ghc6 (>= 6.10), pkg-config, libdbus-1-dev, libglib2.0-dev, libghc6-mtl-dev, libghc6-cairo-dev, libghc6-gtk-dev, libghc6-parsec3-dev, libghc6-glade-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-bustle.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-bustle.git

Package: bustle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: D-Bus activity visualiser
 Bustle is a tool to chart and provide timing information of D-Bus
 calls for profiling and debugging purposes. It is intended to replace
 reading the cryptic output of dbus-monitor.
 .
 Calls are displayed using Message Sequence Charts, a succinct way of
 representing entities and interactions over time. It can also output
 data in Graphviz format.
