=== debian/watch ===
version=3
http://www.willthompson.co.uk/bustle/releases/ bustle-(.*).tar.gz
