=== debian/changelog ===
bustle (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jun 2011 19:43:42 +0100

bustle (0.2.4-1) unstable; urgency=low

  * New upstream release (Closes: #630979)
  * Add Homepage field. (Closes: #630978)
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2011 13:45:10 +0100

bustle (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 23:18:51 +0000
