=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50), ghc6 (>= 6.10), pkg-config, libdbus-1-dev, libglib2.0-dev, libghc6-mtl-dev, libghc6-cairo-dev, libghc6-gtk-dev, libghc6-parsec3-dev, libghc6-glade-dev
-Standards-Version: 3.8.4
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-bustle.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-bustle.git
+Standards-Version: 3.9.2
+Homepage: http://willthompson.co.uk/bustle/
+Vcs-Git: git://github.com/lamby/pkg-bustle.git
+Vcs-Browser: https://github.com/lamby/pkg-bustle
 
 Package: bustle
 Architecture: any
