=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	dh $@
	[ ! -f ./setup ] || ./setup clean
	rm -rf bustle-dbus-monitor dist setup Setup.hi Setup.o

override_dh_auto_configure:
	ghc -package Cabal Setup.lhs -o setup
	./setup configure --prefix /usr

override_dh_auto_build:
	$(MAKE)
	./setup build

override_dh_install:
	./setup copy --destdir debian/bustle
	rm -rf debian/bustle/usr/share/doc/bustle-*
	rm -rf debian/bustle/usr/share/bustle-*/LICENSE
	dh_install
