=== debian/changelog ===
bustle (0.4.2-1) unstable; urgency=low

  * [10d8853] Imported Upstream version 0.4.2
    - The Makefile now respects the `DESTDIR` variable.
    - No more deprecation warnings about `g_thread_create()`!
    - We explicitly check for GLib ≥ 2.26.
  * [118bcd9] debian/watch: Update to match upstream URL scheme
  * [bd39b44] d/control: Check for glib-2.26 per upstream
  * [ffc40ed] d/rules: Pass -threaded if we don't have the threaded runtime available
  * [9a6ba27] Remove 0001-Makesfile-respect-DESTDIR.patch, applied upstream
    and refresh 0002-Use-g_thread_try_new-rather-than-g_thread_create.patch

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Nov 2012 11:10:26 +0000

bustle (0.4.1-1) unstable; urgency=low

  * New upstream release.
    (Closes: #693215)
  * Drop build dep on deprecated haskell-dbus-core.
  * Build depend on haskell-pcap-dev.
  * Add build-dep-indep on help2man.
  * Drop bustle strict dependency on bustle-dbus-monitor.
  * Don't use the libghc6* dummy packages but depend on the real ones.
  * Don't link the haskell98 package.
  * Added myself to debian/copyright and debian/control

 -- Hector Oron <zumbi@debian.org>  Wed, 14 Nov 2012 12:20:58 +0100
