=== debian/control ===
Source: bustle
Section: devel
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Hector Oron <zumbi@debian.org>, Iain Lane <laney@debian.org>
Build-Depends: debhelper (>= 7.0.50)
 , ghc (>= 6.10)
 , pkg-config
 , libdbus-1-dev
 , libglib2.0-dev (>= 2.26)
 , libghc-mtl-dev
 , libghc-cairo-dev
 , libghc-gtk-dev
 , libghc-parsec3-dev
 , libghc-glade-dev
 , libpcap0.8-dev
 , libghc-dbus-dev
 , libghc-pcap-dev
 , help2man
Standards-Version: 3.9.3
Homepage: http://willthompson.co.uk/bustle/
Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git

Package: bustle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: D-Bus activity visualiser
 Bustle is a tool to chart and provide timing information of D-Bus
 calls for profiling and debugging purposes. It is intended to replace
 reading the cryptic output of dbus-monitor.
 .
 Calls are displayed using Message Sequence Charts, a succinct way of
 representing entities and interactions over time. It can also output
 data in Graphviz format.
 .
 This package contains the graphical visualizer for traces generated
 with the bustle-pcap tool.
