=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
#

THREADED := $(if $(wildcard /usr/lib/*/libHSrts_thr.a),,-f-threaded)

%:
	dh $@

clean:
	dh $@
	[ ! -f ./setup ] || ./setup clean
	rm -rf bustle-pcap dist setup Setup.hi Setup.o

override_dh_auto_configure:
	ghc -package Cabal Setup.hs -o setup
	./setup configure --prefix /usr $(THREADED)

override_dh_auto_build:
	$(MAKE)
	./setup build

override_dh_install:
	./setup copy --destdir debian/bustle
	dh_install
