=== debian/watch ===
version=3
http://www.willthompson.co.uk/bustle/releases/(\d+.)+/ bustle-(.*).tar.gz
