=== debian/changelog ===
bustle (0.4.7-2) unstable; urgency=medium

  * d/control: really build depend on intltool

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 02:01:59 +0200

bustle (0.4.7-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump standards version
  * d/control: build depend on haskell gettext
  * d/control: build depend on intltool
  * d/patches/use-system-usr-prefix.patch: refresh

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 00:11:06 +0200

bustle (0.4.2-2) unstable; urgency=low

  * /usr/share/bustle-0.4.2 -> /usr/share/bustle

 -- Louis Bettens <louis@bettens.info>  Wed, 31 Jul 2013 17:30:43 +0200
