=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Hector Oron <zumbi@debian.org>, Iain Lane <laney@debian.org>
+         , Louis Bettens <louis@bettens.info>
 Build-Depends: debhelper (>= 7.0.50)
  , ghc (>= 6.10)
  , pkg-config
@@ -16,8 +17,10 @@
  , libpcap0.8-dev
  , libghc-dbus-dev
  , libghc-pcap-dev
+ , libghc-hgettext-dev
  , help2man
-Standards-Version: 3.9.3
+ , intltool
+Standards-Version: 3.9.5
 Homepage: http://willthompson.co.uk/bustle/
 Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git
