=== debian/changelog ===
bustle (0.4.8-1) unstable; urgency=medium

  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 22 May 2015 09:47:01 +0200

bustle (0.4.7-3) unstable; urgency=medium

  [ Ted Gould ]
  * d/control: Split out bustle-pcap into its own binary package. (Closes:
    #772148)

  [ Iain Lane ]
  * Add Breaks/Replaces for file move.

 -- Ted Gould <ted@gould.cx>  Wed, 21 Jan 2015 17:37:02 +0000
