=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,5 @@
 	./setup build
 
 override_dh_install:
-	./setup copy --destdir debian/bustle
+	./setup copy --destdir debian/tmp
 	dh_install
