=== debian/changelog ===
bustle (0.5.2-1) unstable; urgency=medium

  * New upstream release
  * Fixes FTBFS: Bustle/Loader/OldSkool.hs:122:23: Ambiguous occurrence `<*>'
    (Closes: #808017)
  * d/watch: update for new URL.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Jan 2016 13:12:52 +0100
