=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
  , libglib2.0-dev (>= 2.26)
  , libghc-mtl-dev
  , libghc-cairo-dev
- , libghc-gtk-dev
+ , libghc-gtk3-dev (>= 0.13.7)
  , libghc-parsec3-dev
- , libghc-glade-dev
  , libpcap0.8-dev
  , libghc-dbus-dev
  , libghc-pcap-dev
@@ -28,6 +27,7 @@
 Package: bustle
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: bustle-pcap
 Suggests: graphviz
 Description: D-Bus activity visualiser
  Bustle is a tool to chart and provide timing information of D-Bus
@@ -39,4 +39,17 @@
  data in Graphviz format.
  .
  This package contains the graphical visualizer for traces generated
- with the bustle-pcap tool.
+ with the bustle-pcap tool in the bustle-pcap package.
+
+Package: bustle-pcap
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: bustle (<< 0.4.7-3~)
+Replaces: bustle (<< 0.4.7-3~)
+Description: D-Bus traffic capture tool for the pcap format
+ Bustle is a tool to chart and provide timing information of D-Bus
+ calls for profiling and debugging purposes. It is intended to replace
+ reading the cryptic output of dbus-monitor.
+ .
+ This package contains the capture tool which will capture the D-Bus
+ traffic into a pcap file that can be visualized using Bustle.
