=== debian/changelog ===
bustle (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4
  * debian/watch: improve regex and use https url
  * move bustle-pcap man file into bustle-pcap package. (Closes: #783689)
  * debian/patches:
    - drop 0002-Use-g_thread_try_new-rather-than-g_thread_create.patch
      (upstreamed)
    - add 0001-bustle-pcap-stop-leaking-so-much-in-parse_arguments.patch
      (taken from upstream)
  * debian/bustle.install: avoid redundant copyright files
  * debian/compat: bump to version 9
  * debian/control: Update my uploader name
  * debian/control: bump standards version. No changes
  * debian/control: update bustle-pcap replaces due to manpage move.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 11 Dec 2016 23:57:16 +0100
