=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Hector Oron <zumbi@debian.org>, Iain Lane <laney@debian.org>
+Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
 Build-Depends: debhelper (>= 7.0.50)
  , ghc (>= 6.10)
@@ -19,7 +19,7 @@
  , libghc-hgettext-dev
  , help2man
  , intltool
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://willthompson.co.uk/bustle/
 Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git
@@ -45,7 +45,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: bustle (<< 0.4.7-3~)
-Replaces: bustle (<< 0.4.7-3~)
+Replaces: bustle (<< 0.5.4-1~)
 Description: D-Bus traffic capture tool for the pcap format
  Bustle is a tool to chart and provide timing information of D-Bus
  calls for profiling and debugging purposes. It is intended to replace
