=== debian/watch ===
version=3
##http://www.willthompson.co.uk/bustle/releases/(\d+.)+/ bustle-(.*).tar.gz
https://www.freedesktop.org/software/bustle/([\d].*)/ bustle-([\d].*)\.tar\.gz
