=== debian/changelog ===
bustle (0.6.2-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * Switch Vcs-* fields to salsa.
  * New upstream version.
    - Fixes FTBFS. closes: #897511.

 -- Clint Adams <clint@debian.org>  Mon, 07 May 2018 21:28:29 -0400
