=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 7.0.50)
  , ghc (>= 6.10)
  , pkg-config
@@ -19,10 +20,10 @@
  , libghc-hgettext-dev
  , help2man
  , intltool
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://willthompson.co.uk/bustle/
-Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bustle
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: bustle
 Architecture: any
