## bustle 0.7.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS = -g -O2 -Wall -Wunused
+CFLAGS = -g -O2 -Wall -Wunused -Waddress
 DBUS_FLAGS = $(shell pkg-config --cflags --libs dbus-1)
 GIO_FLAGS := $(shell pkg-config --cflags --libs 'glib-2.0 >= 2.26' gio-2.0 gio-unix-2.0)
 PCAP_FLAGS := $(shell pcap-config --cflags pcap-config --libs)
@@ -16,11 +16,13 @@
 DESKTOP_FILE = org.freedesktop.Bustle.desktop
 APPDATA_FILE = org.freedesktop.Bustle.appdata.xml
 ICON_SIZES = 16x16 22x22 32x32 48x48 256x256
-ICONS = \
+SCALABLE_ICONS = \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle.svg \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg \
+	$(NULL)
+ICONS = \
+	$(SCALABLE_ICONS) \
 	$(foreach size,$(ICON_SIZES),data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png) \
-	$(NULL)
 
 all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(ICONS)
 
@@ -32,10 +34,10 @@
 	help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<
 
 org.freedesktop.Bustle.desktop: data/org.freedesktop.Bustle.desktop.in
-	LC_ALL=C intltool-merge -d -u po $< $@
+	msgfmt --desktop -d po --template $< -o $@
 
 org.freedesktop.Bustle.appdata.xml: data/org.freedesktop.Bustle.appdata.xml.in
-	LC_ALL=C intltool-merge -x -u po $< $@
+	msgfmt --xml -d po --template $< -o $@
 
 # https://github.com/flathub/flathub/wiki/Review-Guidelines
 validate-metadata: org.freedesktop.Bustle.desktop org.freedesktop.Bustle.appdata.xml
@@ -71,7 +73,7 @@
 	$(foreach size,$(ICON_SIZES),mkdir -p $(DATADIR)/icons/hicolor/$(size)/apps; )
 	$(foreach size,$(ICON_SIZES),cp data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png $(DATADIR)/icons/hicolor/$(size)/apps; )
 	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
-	cp data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg $(DATADIR)/icons/hicolor/scalable/apps
+	cp $(SCALABLE_ICONS) $(DATADIR)/icons/hicolor/scalable/apps
 	$(MAKE) update-icon-cache
 
 uninstall:
@@ -85,8 +87,6 @@
 
 clean:
 	rm -f $(BINARIES) $(MANPAGE) $(BUSTLE_PCAP_GENERATED_HEADERS) $(DESKTOP_FILE) $(APPDATA_FILE)
-	if test -d ./$(TARBALL_DIR); then rm -r ./$(TARBALL_DIR); fi
-	rm -f ./$(TARBALL)
 
 # Icon cache stuff
 gtk_update_icon_cache = gtk-update-icon-cache -f -t $(DATADIR)/icons/hicolor
@@ -108,14 +108,12 @@
 
 # Maintainer stuff
 maintainer-update-messages-pot:
-	find Bustle -name '*.hs' -print0 | xargs -0 hgettext -k __ -o po/messages.pot
+	find Bustle -name '*.hs' -print0 | xargs -0 stack exec -- hgettext -k __ -o po/messages.pot
+	xgettext data/bustle.ui data/org.freedesktop.Bustle.desktop.in \
+		data/org.freedesktop.Bustle.appdata.xml.in --join-existing -o po/messages.pot
 
 maintainer-make-release: bustle.cabal dist/build/autogen/version.txt
-	cabal test
-	cabal sdist
+	stack sdist --test-tarball
 	git tag -s -m 'Bustle '`cat dist/build/autogen/version.txt` \
 		bustle-`cat dist/build/autogen/version.txt`
 	gpg --detach-sign --armor dist/bustle-`cat dist/build/autogen/version.txt`.tar.gz
-
-.travis.yml: bustle.cabal make_travis_yml.hs
-	./make_travis_yml.hs $< libpcap-dev libgtk-3-dev libcairo2-dev happy-1.19.4 alex-3.1.3 > $@
