=== debian/control ===
--- 
+++ 
@@ -5,15 +5,13 @@
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 7.0.50)
- , ghc (>= 6.10)
+Build-Depends: debhelper (>= 10)
+ , ghc (>= 8.4.3)
  , pkg-config
  , libdbus-1-dev
  , libglib2.0-dev (>= 2.26)
- , libghc-mtl-dev
  , libghc-cairo-dev
  , libghc-gtk3-dev (>= 0.13.7)
- , libghc-parsec3-dev
  , libpcap0.8-dev
  , libghc-dbus-dev
  , libghc-pcap-dev
@@ -23,7 +21,7 @@
 Standards-Version: 4.1.4
 Homepage: http://willthompson.co.uk/bustle/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bustle
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bustle]
 
 Package: bustle
 Architecture: any
