## bustle 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 CFLAGS = -g -O2 -Wall -Wunused -Waddress
 DBUS_FLAGS = $(shell pkg-config --cflags --libs dbus-1)
 GIO_FLAGS := $(shell pkg-config --cflags --libs 'glib-2.0 >= 2.26' gio-2.0 gio-unix-2.0)
-PCAP_FLAGS := $(shell pcap-config --cflags pcap-config --libs)
+PCAP_CONFIG ?= pcap-config
+PCAP_FLAGS := $(shell $(PCAP_CONFIG) --cflags pcap-config --libs)
 DESTDIR =
 PREFIX = /usr/local
 BINDIR = $(DESTDIR)$(PREFIX)/bin
@@ -15,20 +16,23 @@
 MANPAGE = bustle-pcap.1
 DESKTOP_FILE = org.freedesktop.Bustle.desktop
 APPDATA_FILE = org.freedesktop.Bustle.appdata.xml
-ICON_SIZES = 16x16 22x22 32x32 48x48 256x256
 SCALABLE_ICONS = \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle.svg \
+	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle.Devel.svg \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg \
 	$(NULL)
-ICONS = \
-	$(SCALABLE_ICONS) \
-	$(foreach size,$(ICON_SIZES),data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png) \
 
-all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(ICONS)
+all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(SCALABLE_ICONS)
 
-BUSTLE_PCAP_SOURCES = c-sources/pcap-monitor.c c-sources/bustle-pcap.c
+BUSTLE_PCAP_SOURCES = \
+	c-sources/pcap-reader.c \
+	c-sources/pcap-monitor.c \
+	c-sources/bustle-pcap.c
 BUSTLE_PCAP_GENERATED_HEADERS = dist/build/autogen/version.h
-BUSTLE_PCAP_HEADERS = c-sources/pcap-monitor.h $(BUSTLE_PCAP_GENERATED_HEADERS)
+BUSTLE_PCAP_HEADERS = \
+	c-sources/pcap-reader.h \
+	c-sources/pcap-monitor.h \
+	$(BUSTLE_PCAP_GENERATED_HEADERS)
 
 bustle-pcap.1: dist/build/bustle-pcap
 	help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<
@@ -42,10 +46,7 @@
 # https://github.com/flathub/flathub/wiki/Review-Guidelines
 validate-metadata: org.freedesktop.Bustle.desktop org.freedesktop.Bustle.appdata.xml
 	desktop-file-validate org.freedesktop.Bustle.desktop
-	appstream-util validate-relax org.freedesktop.Bustle.appdata.xml
-	# This is only a SHOULD. Screenshots currently violate it because they
-	# are hidpi.
-	appstream-util validate org.freedesktop.Bustle.appdata.xml || true
+	appstream-util validate org.freedesktop.Bustle.appdata.xml
 
 dist/build/bustle-pcap: $(BUSTLE_PCAP_SOURCES) $(BUSTLE_PCAP_HEADERS)
 	@mkdir -p dist/build
@@ -62,18 +63,12 @@
 	echo '#define BUSTLE_VERSION "'`cat $<`'"' > $@
 
 install: all
-	mkdir -p $(BINDIR)
-	cp $(BINARIES) $(BINDIR)
-	-mkdir -p $(MAN1DIR)
-	-cp $(MANPAGE) $(MAN1DIR)
-	mkdir -p $(DATADIR)/applications
-	cp $(DESKTOP_FILE) $(DATADIR)/applications
-	mkdir -p $(DATADIR)/appdata
-	cp $(APPDATA_FILE) $(DATADIR)/appdata
-	$(foreach size,$(ICON_SIZES),mkdir -p $(DATADIR)/icons/hicolor/$(size)/apps; )
-	$(foreach size,$(ICON_SIZES),cp data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png $(DATADIR)/icons/hicolor/$(size)/apps; )
-	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
-	cp $(SCALABLE_ICONS) $(DATADIR)/icons/hicolor/scalable/apps
+	install -D -t $(BINDIR) $(BINARIES)
+	-install -Dt $(MAN1DIR) $(MANPAGE)
+	-install -Dt $(MAN1DIR) $(MANPAGE)
+	install -Dt $(DATADIR)/applications $(DESKTOP_FILE)
+	install -Dt $(DATADIR)/appdata $(APPDATA_FILE)
+	install -Dt $(DATADIR)/icons/hicolor/scalable/apps $(SCALABLE_ICONS)
 	$(MAKE) update-icon-cache
 
 uninstall:
@@ -81,7 +76,8 @@
 	rm -f $(MAN1DIR)/$(MANPAGE)
 	rm -f $(DATADIR)/applications/$(DESKTOP_FILE)
 	rm -f $(DATADIR)/appdata/$(APPDATA_FILE)
-	$(foreach size,$(ICON_SIZES),rm -f $(DATADIR)/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png)
+	rm -f $(DATADIR)/icons/hicolor/scalable/apps/org.freedesktop.Bustle.svg
+	rm -f $(DATADIR)/icons/hicolor/scalable/apps/org.freedesktop.Bustle.Devel.svg
 	rm -f $(DATADIR)/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg
 	$(MAKE) update-icon-cache
