=== debian/changelog ===
bustle (0.8.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:15 +1100

bustle (0.8.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:59:31 +0000

bustle (0.8.0-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Patch to compile with newer libpcap (Closes: #1028699)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 21 Jan 2023 22:28:17 +0200

bustle (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 20 Aug 2020 08:19:11 +0300

bustle (0.7.5-2) unstable; urgency=medium

  * Add upstream patches to make it build without gettext support
    (From NixOS) (Closes: #939826)
    - debian/patches/ee4b81cbc232d47ba9940f1987777b17452e71ff.patch:
    - debian/patches/aae6843f51f54679d440fb3813e61355dc8406b9.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 10:52:24 +0200
