=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: bustle
 Section: devel
 Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10)
- , ghc (>= 8.4.3)
- , pkg-config
- , libdbus-1-dev
- , libglib2.0-dev (>= 2.26)
- , libghc-cairo-dev
- , libghc-gtk3-dev (>= 0.13.7)
- , libpcap0.8-dev
- , libghc-dbus-dev
- , libghc-pcap-dev
- , libghc-hgettext-dev
- , help2man
- , intltool
-Standards-Version: 4.1.4
-Homepage: http://willthompson.co.uk/bustle/
+Build-Depends: debhelper (>= 10),
+ ghc,
+ pkg-config,
+ libdbus-1-dev,
+ libglib2.0-dev (>= 2.26),
+ libpcap-dev,
+ libghc-cairo-dev,
+ libghc-gio-dev,
+ libghc-glib-dev,
+ libghc-gtk3-dev,
+ libghc-pango-dev,
+ help2man,
+ intltool,
+Standards-Version: 4.6.1
+Homepage: https://gitlab.freedesktop.org/bustle/bustle#readme
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bustle
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bustle]
