=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 clean:
 	dh $@
 	[ ! -f ./setup ] || ./setup clean
-	rm -rf bustle-pcap dist setup Setup.hi Setup.o
+	rm -rf bustle-pcap dist setup Setup.hi Setup.o GetText.o GetText.hi
 
 override_dh_auto_configure:
 	ghc -package Cabal Setup.hs -o setup
