=== debian/changelog ===
bustle (0.11.0-2) unstable; urgency=medium

  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 08:16:17 -0400

bustle (0.11.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2
  * Declare compliance with Debian policy 4.7.0

  [ Matthias Geiger ]
  * Team upload
  * New upstream release (Closes: #1079210, #1101543, #1084243, #1084512) 
  * d/patches: Drop, obsolete
  * d/watch: Update for new upstream location
  * d/u/metadata: Add
  * d/compat: Drop, depend on dh-compat in d/control instead
  * d/dirs: Drop, obsolete
  * d/control: Update Maintainer/Uploaders
  * d/control: Update Vcs-Urls and Homepage
  * d/control: Update S-V to 4.7.0, no changes needed
  * d/control: Add new rust build-dependencies
  * d/rules: Update for rust/meson build
  * Add patch to build with debian crates
  * Stop building bustle-pcap package, it does not exist in the new version
  * Drop linitan-overrides file, obsolete
  * d/control: Mention GNOME Circle in long description
  * d/copyright: Update for new upstream
  * d/docs: Drop, obsolete
  * d/gbp.conf, d/salsa-ci.yml: Add

 -- Matthias Geiger <werdahias@debian.org>  Thu, 10 Apr 2025 22:16:57 +0200
